Subject: bug#52884: What is the expected behavior of xwidget webkit webinspector?

From: Akira Kyle <[email-masked]>
Date: Wed, 29 Dec 2021 19:25:17 -0700

Is the fact that the size of the webinspector pane cannot be adjusted
as it should be not a bug?

On Wed, Dec 29, 2021 at 6:35 PM Po Lu <[email-masked]> wrote:
>
> [email-masked] writes:
>
> > Repeating the above but splitting the frame via C-x 3 before right
> > clicking to pull up webinspector results in webinspector opening its
> > own window (this may be related to the segfault on sway)?
>
> It is probably not related to the segfault, and yes, it is intended
> behaviour: WebKitGtk opens its own inspector window if it thinks the
> WebKitWebView's window is not large enough to fit the inspector.
>
> It should work fine unless you have multiple displays, where the
> inspector window will probably open on the wrong display.  This is a
> WebKitGtk bug, not a bug with Emacs (since we set the embedder window
> correctly), so it should be reported to their developers instead.
>
> Thanks, closing.  In the future, this kind of question should be sent to
> help-gnu-emacs.
>
> (BTW, please prefix your bug reports with some kind of sensible version
> number, such as 29.0.50; the recent changes to xwidgets don't exist on
> the release branch.)